package status;

import extvisitor.*;

/**
 * Abstract status object.   Concrete status objects are sub-classes of this class.
 * @author Stephen Wong (c) 2010
 *
 */
public abstract class AStatus extends AExtVisitorHost<Class<? extends AStatus>, AStatus> {
	
	private static final long serialVersionUID = 7918216360005699612L;
	
	/**
	 * Constructor for class 
	 * @param idx  The Class object of the concrete AStatus subclass that is used as its identifying index.
	 */
	public AStatus(Class<? extends AStatus> idx){
		super(idx);
	}
	
}
