package status;

/**
 * Concrete singleton subclass that represents an "OK" status.
 * @author Stephen Wong (c) 2010
 *
 */
public class OkStatus extends AStatus {

	private static final long serialVersionUID = 1120596907046978790L;
	
	public static final OkStatus Singleton = new OkStatus();
	
	private OkStatus() {
		super(OkStatus.class);
	}
	
	public String toString(){
		return "Status: OK";
	}
}
